Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.transaction
Interface UserTransaction

All Superinterfaces:
  UserTransaction

    public interface UserTransaction

extends UserTransaction

This interface defines WebLogic-specific extensions to javax.transaction.UserTransaction.

Method Summary
`void` | `begin(String name)` Create a new transaction, set the transaction name property and associate the transaction with the current thread.
`void` | `begin(String name, int timeoutseconds)` Create a new transaction with the specified timeout value, set the transaction name property and associate the transaction with the current thread.

Methods inherited from interface javax.transaction.UserTransaction
`begin, commit, getStatus, rollback, setRollbackOnly, setTransactionTimeout`

Method Detail

### begin

    void begin(String name)
               throws NotSupportedException,
                      SystemException

  Create a new transaction, set the transaction name property and associate the transaction with the current thread.

  Parameters:
    `name` - The descriptive name to be associated with the new transaction.
  Throws:
    `NotSupportedException` - Thrown if the thread is already associated with a transaction.
    `SystemException` - Thrown if the transaction manager encounters an unexpected error condition.
  See Also:
    `Transaction.setName(String)`

### begin

    void begin(String name,
               int timeoutseconds)
               throws NotSupportedException,
                      SystemException

  Create a new transaction with the specified timeout value, set the transaction name property and associate the transaction with the current thread.

  Parameters:
    `name` - The descriptive name to be associated with the new transaction.
    `timeoutseconds` - The timeout value for the transaction. This value will override the default timeout value associated with the current thread. If a value of zero is specified the default timeout will be used.
  Throws:
    `NotSupportedException` - Thrown if the thread is already associated with a transaction.
    `SystemException` - Thrown if the transaction manager encounters an unexpected error condition.
  See Also:
    `Transaction.setName(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD